title Backuper SetRetail10 Database

rem settings
@ECHO OFF
set way=%cd%
set ydb=yesterday
set cdb=current
set pgaddr=localhost
set PGPASSWORD=postgres
set pgway=PSQL
set log_path=LOG
set dump_status=%log_path%\status.log

if not exist %log_path% mkdir %log_path%
if exist %dump_status% del %dump_status%

rem delete yesterday backups
del %ydb%\*.backup
xcopy %cdb%\*.backup %ydb%\

SET dmpfile=set-%DATE:~0,2%_%DATE:~3,2%_%DATE:~6,4%
IF "%TIME:~0,1%"==" " (SET dmpfile=%dmpfile%-0%TIME:~1,1%) ELSE (SET dmpfile=%dmpfile%-%TIME:~0,2%)
SET dmpfile=%dmpfile%_%TIME:~3,2%_%TIME:~6,2%.backup
rem echo %dmpfile% 

SET dmpfile1=set_operday-%DATE:~0,2%_%DATE:~3,2%_%DATE:~6,4%
IF "%TIME:~0,1%"==" " (SET dmpfile1=%dmpfile1%-0%TIME:~1,1%) ELSE (SET dmpfile1=%dmpfile1%-%TIME:~0,2%)
SET dmpfile1=%dmpfile1%_%TIME:~3,2%_%TIME:~6,2%.backup
rem echo %dmpfile1% 

SET dmpfile2=set_loyal-%DATE:~0,2%_%DATE:~3,2%_%DATE:~6,4%
IF "%TIME:~0,1%"==" " (SET dmpfile2=%dmpfile2%-0%TIME:~1,1%) ELSE (SET dmpfile2=%dmpfile2%-%TIME:~0,2%)
SET dmpfile2=%dmpfile2%_%TIME:~3,2%_%TIME:~6,2%.backup
rem echo %dmpfile2% 

rem SET dmpfile3=postgres-%DATE:~0,2%_%DATE:~3,2%_%DATE:~6,4%
rem IF "%TIME:~0,1%"==" " (SET dmpfile3=%dmpfile3%-0%TIME:~1,1%) ELSE (SET dmpfile3=%dmpfile3%-%TIME:~0,2%)
rem SET dmpfile3=%dmpfile3%_%TIME:~3,2%_%TIME:~6,2%.backup
rem echo %dmpfile3%

%pgway%\pg_dump.exe --host %pgaddr% --port 5432 --username postgres --format custom --blobs --verbose --file "%way%\%dmpfile%" "set" > %log_path%\set_backup.log 2>&1
if errorlevel 1 (echo Backup set: FAILED >> %dump_status% & goto FAILED) else (echo Backup set: OK >> %dump_status%)

%pgway%\pg_dump.exe --host %pgaddr% --port 5432 --username postgres --format custom --blobs --verbose --file "%way%\%dmpfile1%" "set_operday" > %log_path%\set_operday_backup.log 2>&1
if errorlevel 1 (echo Backup set_operday: FAILED >> %dump_status% & goto FAILED) else (echo Backup set_operday: OK >> %dump_status%)

%pgway%\pg_dump.exe --host %pgaddr% --port 5432 --username postgres --format custom --blobs --verbose --file "%way%\%dmpfile2%" "set_loyal" > %log_path%\set_loyal_backup.log 2>&1
if errorlevel 1 (echo Backup set_loyal: FAILED >> %dump_status% & goto FAILED) else (echo Backup set_loyal: OK >> %dump_status%)

rem %pgway%\pg_dump.exe --host %pgaddr% --port 5432 --username postgres --format custom --blobs --verbose --file "%way%\%dmpfile3%" "postgres" > %log_path%\postgres_backup.log 2>&1
rem if errorlevel 1 (echo Backup postgres : FAILED >> %dump_status% & goto FAILED) else (echo Backup postgres: OK >> %dump_status%)

:OK
del %cdb%\*.backup
xcopy %way%\*.backup /D %cdb%\
echo Backup SetRetail10 Database created successfuly.
goto END

:FAILED
echo Backup failed. See %log_path%\*.log for details.

:END
del %way%\*.backup